Taslak Bezier eğrisi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BezCurve and the translation is 12% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Facebinder.svg Facebinder

Official icon not found Bezier eğrisi

Menü konumu
Taslak → Bezier eğrisi
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
B Z
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri


Tanım

Bezier eğrisi aracı, mevcut Çalışma düzlemi ile birkaç noktadan Bezier Eğrisi (veya parça parça Bezier Eğrisi) oluşturur. Görevler sekmesinde önceden ayarlanmış olan Çizgi stilini alır.

The BezCurve tool curve uses control points to define the direction of the curve; on the other hand the Draft BSpline tool specifies the exact points through which the curve will go. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft BezCurve Example.png

Bezier curve defined by multiple control points


Draft BezCurve Example.png

Nasıl kullanılır

  1. Press the Draft BezCurve.png Draft BezCurve button, or press B then Z keys.
  2. Click a first point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  3. Click additional points on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  4. Press Esc or the Close button, or double-click the last point to complete the edition.

Nesne, tek bir Bezier derece eğrisi olarak oluşturulur (nokta sayısı - 1). Bu, Özellikler kullanılarak yaratıldıktan sonra belirli bir dereceye kadar parçalı bir Bezier Eğrisi olarak değiştirilebilir. Bezier Eğrileri, Draft Edit.png Düzenle kullanılarak düzenlenebilir.

The curve can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the curve to add or remove points. You can also change the constraint type of each point.

Kontrol Düğümleri

Parçalı bir Bezier Eğrisi'ndeki segment bitiş noktaları, bitişik kontrol noktalarının bitiş noktasındaki segmentlere teğet veya simetrik olacak şekilde sınırlandırılabilir. Bu, Draft Edit.png Düzenle kullanılarak nesne oluşturulmasından sonra yapılır.

  • Draft BezSharpNode.svg Keskin - kısıtlamaları kaldırın
  • Draft BezTanNode.svg Teğet - bitişik kontrol noktalarını teğet olmaya zorlar
  • Draft BezSymNode.svg Simetrik - bitişik kontrol noktalarını teğet ve eşit mesafeli olmaya zorlar

The segment endpoints can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. First, start editing the curve, then pick one of the tools and then pick a point. Click again on the tool to deactivate it, so you can move the point.

  • Draft BezSharpNode.svg sharp remove constraints on the points so the curve can have sharp corners.
  • Draft BezTanNode.svg tangent force adjacent control points to be tangent.
  • Draft BezSymNode.svg symmetric force adjacent control points to be tangent and equidistant.

Sınırlamalar

  • Bu araç FreeCAD 0.14 versiyonundan önce kullanılamaz
  • Nokta Özelliği henüz özellikler listesinde görünmüyor.
  • OpenCascade, derece > 25 sahip Bezier Eğrisi'ni desteklemiyor. Bu pratikte bir sorun olmamalıdır.
  1. Draft BezCurve.png Bezier eğrisi düğmesine basın veya B ardından Z tuşlarına basın.
  2. 3D görünümünde bir ilk noktaya tıklayın veya bir koordinat yazın
  3. 3D görünümünde ek noktaya tıklayın veya bir koordinat yazın
  4. F veya C tuşuna basın veya son noktayı çift tıklayın veya eğriyi bitirmek ve kapatmak için ilk noktayı tıklayın.

Seçenekler

  • Spline'ı bitirmek için F veya Draft FinishLine.png Bitir düğmesine basın
  • C veya Draft CloseLine.png Kapat düğmesine basın veya ilk noktaya tıklayın spline'ı bitirin, ancak son nokta ile birincinin arasına son bir parça ekleyerek kapatın.
  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında ENTER tuşuna basın.
  • R tuşuna basınız veya Göreceli düğmesini işaretlemek / işaretini kaldırmak için onay kutusuna tıklayınız. Göreceli mod açıksa, bir sonraki noktanın koordinatları da öncekine göredir. Olmazsa, mutlaktırlar, (0,0,0) başlangıç ​​noktasından alınırlar.
  • T tuşuna basınız veya Devam et düğmesini işaretlemek / işaretini kaldırmak için onay kutusuna tıklayınız. Devam modu açıksa, Bezier eğrisi aracı, bitirdikten veya kapattıktan sonra yeniden başlatılır ve Bezier eğrisi düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • snapping noktasını mesafeden bağımsız olarak, noktanızı en yakın anlık konuma zorlamak için çizim yaparken CTRL tuşuna basın.
  • Bir sonraki noktanızı yatay veya dikey olarak son noktaya göre constrain çizerken SHIFT tuşuna basın.
  • Mevcut segmentleri kaldırmak ve spline'ı en sondan başlatmak için W tuşuna basınız veya Draft Wipe.png Uzat tuşuna basınız. puan.
  • Son noktayı geri almak için CTRL + Z tuşuna basın veya Draft UndoLine.png Geri al tuşuna basın .
  • Geçerli Bezier eğrisi komutunu iptal etmek için ESC veya İptal düğmesine basın.

Özellikler

Data

  • DATADegree: specifies the degree of the Bezier curve or the individual segments.
  • DATAClosed: specifies if the curve is closed or not. If the curve is initially open, this value is False; setting it to True will draw a segment to close the curve. If the curve is initially closed, this value is True; setting it to False will remove the last segment, and make the curve open.
  • DATAMake Face: specifies if the curve makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the curve intersects itself, as it won't create a proper face.
  • DATAContinuity: (read-only) when the curve is closed, indicates the continuity of the curve [0], or [0,0]. Otherwise it's [].

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the curve.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the curve, which can be dot, circle, arrow, and tick.
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the curve, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed curve. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Betik

Betik

Bezier eğrisi aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Verilen vektör listesinden bir Bezier eğrisi nesnesi oluşturun. Bir nokta listesi yerine, bir Parça Teli de geçebilirsiniz.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)
p4 = FreeCAD.Vector(1500, -2000, 0)

BezCurve1 = Draft.makeBezCurve([p1, p2, p3, p4], closed=True)
BezCurve2 = Draft.makeBezCurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
BezCurve3 = Draft.makeBezCurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)
Arrow-left.svg Previous: Draft Facebinder.svg Facebinder